Package org.apache.solr.client.solrj.request.beans

## Class ClusterPropPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.ClusterPropPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

    public class ClusterPropPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

Nested Classes
`static class` `ClusterPropPayload.Cluster`
`static class` `ClusterPropPayload.CollectionDefaults`
`static class` `ClusterPropPayload.Defaults`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`ClusterPropPayload.CollectionDefaults` `collectionDefaults`
`ClusterPropPayload.Defaults` `defaults`
`String` `location`
`Integer` `maxCoresPerNode`
`String` `urlScheme`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`ClusterPropPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### urlScheme

    public String urlScheme

#### maxCoresPerNode

    public Integer maxCoresPerNode

#### location

    public String location

#### defaults

    public ClusterPropPayload.Defaults defaults

#### collectionDefaults

    public ClusterPropPayload.CollectionDefaults collectionDefaults

### Constructor Detail

#### ClusterPropPayload

    public ClusterPropPayload()